## org.junit.validator
Class AnnotationValidatorFactory

    java.lang.Object
      org.junit.validator.AnnotationValidatorFactory

    public class AnnotationValidatorFactory

extends Object

Creates instances of Annotation Validators.

Since:
  4.12

Constructor Summary
`AnnotationValidatorFactory()`

Method Summary
`AnnotationValidator` `createAnnotationValidator(ValidateWith validateWithAnnotation)` Creates the AnnotationValidator specified by the value in `ValidateWith`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationValidatorFactory

    public AnnotationValidatorFactory()

Method Detail

### createAnnotationValidator

    public AnnotationValidator createAnnotationValidator(ValidateWith validateWithAnnotation)

  Creates the AnnotationValidator specified by the value in `ValidateWith`. Instances are cached.

  Returns:
    An instance of the AnnotationValidator.
  Since:
    4.12

Copyright © 2002–2020 JUnit. All rights reserved.